#!/usr/bin/python3

import pytest
import yaml
import pkg_resources

@pytest.fixture(scope="module")
def streaming_config():
    """
    Reads the service configuration deployed for the streaming simulation test.

    :param request: access the parameters of the fixture
    :return: the python object representing the read YAML file
    """
    rspec = pkg_resources.resource_filename('clmctest.streaming', 'rspec.yml')
    print("rspec file: {0}".format(rspec))

    with open(rspec, 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded
